/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef AREA_H
#define AREA_H


#include <iostream>
#include <cassert>
#include "grafica.h"
#include "unistd.h"
using namespace std;


class Area
{
	public : 
		Area( int, int );
		Area( const Area& );
		~Area();

		int get_righe() const;
		int get_colonne() const;
		int get_posizione( int, int ) const;
		void stampa_matrice() const;

		Area& set_muro( int );
		Area& set_posizione( int, int, int );
		Area& aggiungi_a_posizione( int, int, int );
		void debug( int, int ) const;

	private :
		int righe;
		int colonne;
		int** matrice;
};

#endif
