/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef CIBO_H
#define CIBO_H

#include "area.h"
#include "serpente.h"
#include <ctime>
#include <string>
using namespace std;

enum Tipo_cibo { MELA = -21, KIWI = -22 };


void genera_cibo( Area&, bool );

// INTERFACCIA PER I CIBI

class Cibo
{
	public :
		virtual int get_valore() const = 0;
		virtual int get_punteggio() const = 0;
		virtual string get_simbolo() const = 0;
};

// TIPI DI CIBO

class Mela : public Cibo
{
	public :
		Mela() : valore( MELA ), punteggio( 5 ), simbolo( "m" ) {}

		virtual int get_valore() const { return valore; }
		virtual int get_punteggio() const { return punteggio; }
		virtual string get_simbolo() const { return simbolo; }

		Mela& set_punteggio( int p ) { punteggio = p; return *this; }
  
	private :
		int valore;
		int punteggio;
		string simbolo;
};

class Kiwi : public Cibo
{
	public :
		Kiwi() : valore( KIWI ), punteggio( 10 ), simbolo( "k" ) {}

		virtual int get_valore() const { return valore; }
		virtual int get_punteggio() const { return punteggio; }
		virtual string get_simbolo() const { return simbolo; }

		Kiwi& set_punteggio( int p ) { punteggio = p; return *this; }
  
	private :
		int valore;
		int punteggio;	
		string simbolo;
};

#endif
