/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef MENU_H
#define MENU_H

#include "grafica.h"
#include <string>
#include <vector>
using namespace std;

class Menu
{
	public : 
		Menu( bool&, bool&, bool&, unsigned&, long int&, int&, int& );

		bool controllo_dimensione_schermo() const;
		Menu& stampa_menu_generale();
		Menu& stampa_menu_opzioni();
		Menu& crea_menu();
		Menu& elimina_menu();
		Menu& crea_menu_opzioni();
		Menu& elimina_menu_opzioni();

	private :
		bool& uscita;
		bool& muro_solido;
		bool& cibo_diversificato;
		unsigned& giocatori;
		long int& velocita_serpe;
		int& righe_area;
		int& colonne_area;

		MENU* menu_gen;
		const int fin_menu_gen_y, fin_menu_gen_x;
		ITEM** oggetti_menu_gen;
		WINDOW* finestra_menu_gen;

		MENU* menu_op;
		ITEM** oggetti_menu_op;
		WINDOW* finestra_menu_op;
		const int fin_menu_op_y, fin_menu_op_x;
};	

#endif
