/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "punteggio.h"

extern int tras_rig;
extern int tras_col;

Punteggio::Punteggio()
	: punteggio( 0 )
{
}

Punteggio& Punteggio::cibo( Cibo* c )
{
	punteggio += c->get_punteggio();

	return *this;
}

const Punteggio& Punteggio::stampa( Serpente& serpe, int riga, int colonna ) const
{
	attron( COLOR_PAIR( 5 ) );
	mvprintw( tras_rig - riga, tras_col + 20, "Lunghezza : %d", serpe.get_lunghezza() ); 
	mvprintw( tras_rig - colonna, tras_col + 40, "Punteggio : %d", punteggio );
	attroff( COLOR_PAIR( 5 ) );
	move( 0, 0 );

	return *this;
}
